Package classycle.classfile

# Class DoubleConstant

java.lang.Object
classycle.classfile.Constant
classycle.classfile.DoubleConstant

public class DoubleConstant extends Constant
Constant representing a `double` value.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`DoubleConstant(Constant[] pool, double value)`
Creates an instance for the specified double value.

## Method Summary

Modifier and Type
Method
Description
`double`
`getValue()`
Returns the wrapped double value.
`String`
`toString()`
Returns the constant type and the double value.

### Methods inherited from class classycle.classfile.Constant

`extractConstantPool, getConstant`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DoubleConstant

public DoubleConstant(Constant[] pool, double value)
Creates an instance for the specified double value.

## Method Details

### getValue

public double getValue()
Returns the wrapped double value.

### toString

public String toString()
Returns the constant type and the double value.

Overrides:
  `toString` in class `Object`